"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _App = require("./App.scss");

var _App2 = _interopRequireDefault(_App);

var _Home = require("./Home");

var _Home2 = _interopRequireDefault(_Home);

var _Nav = require("./Nav");

var _Nav2 = _interopRequireDefault(_Nav);

var _Breadcrumbs = require("./Breadcrumbs");

var _Breadcrumbs2 = _interopRequireDefault(_Breadcrumbs);

var _TwitterFollowButton = require("./TwitterFollowButton");

var _TwitterFollowButton2 = _interopRequireDefault(_TwitterFollowButton);

var _classnames = require("classnames");

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var App = function App(_ref) {
  var children = _ref.children,
      path = _ref.path,
      version = _ref.version,
      breadcrumbs = _ref.breadcrumbs;

  var isHome = path === "/";
  var url = "https://redux-form.com/" + version;
  return _react2.default.createElement(
    "div",
    { className: (0, _classnames2.default)(_App2.default.app, _defineProperty({}, _App2.default.hasNav, !isHome)) },
    !isHome && _react2.default.createElement(_Nav2.default, { path: path, url: url }),
    _react2.default.createElement(
      "div",
      { className: _App2.default.formnerd },
      "\uD83E\uDD14",
      " ",
      _react2.default.createElement(
        "strong",
        null,
        "Do you know ",
        _react2.default.createElement(
          "em",
          null,
          "HOW"
        ),
        " users use your form?",
        " ",
        _react2.default.createElement(
          "a",
          { href: "https://formnerd.co/redux-form", target: "_blank" },
          "Find out with Form Nerd!"
        ),
        " ",
        "From the creator of Redux Form."
      ),
      " ",
      "\uD83E\uDD13"
    ),
    _react2.default.createElement(
      "div",
      { className: _App2.default.contentAndFooter },
      _react2.default.createElement(
        "div",
        { className: _App2.default.topNav },
        _react2.default.createElement("a", { href: "https://redux-form.com", className: _App2.default.brand }),
        _react2.default.createElement(
          "a",
          {
            className: _App2.default.github,
            href: "https://github.com/erikras/redux-form",
            title: "Github",
            target: "_blank"
          },
          _react2.default.createElement("i", { className: "fa fa-fw fa-github" })
        )
      ),
      _react2.default.createElement(
        "div",
        { className: (0, _classnames2.default)(_App2.default.content, _defineProperty({}, _App2.default.home, isHome)) },
        isHome ? _react2.default.createElement(_Home2.default, { version: version }) : _react2.default.createElement(
          "div",
          null,
          _react2.default.createElement(_Breadcrumbs2.default, { items: breadcrumbs }),
          children
        )
      ),
      _react2.default.createElement(
        "div",
        { className: _App2.default.footer },
        _react2.default.createElement(
          "div",
          null,
          "Created by Erik Rasmussen"
        ),
        _react2.default.createElement(
          "div",
          null,
          "Got questions? Ask for help:",
          _react2.default.createElement(
            "a",
            {
              className: _App2.default.help,
              href: "https://stackoverflow.com/questions/ask?tags=redux-form",
              title: "Stack Overflow",
              target: "_blank"
            },
            _react2.default.createElement("i", { className: "fa fa-fw fa-stack-overflow" })
          ),
          _react2.default.createElement(
            "a",
            {
              className: _App2.default.help,
              href: "https://github.com/erikras/redux-form/issues/new",
              title: "Github",
              target: "_blank"
            },
            _react2.default.createElement("i", { className: "fa fa-fw fa-github" })
          )
        ),
        _react2.default.createElement(
          "div",
          null,
          _react2.default.createElement(_TwitterFollowButton2.default, { username: "erikras", showUsername: true, large: true }),
          _react2.default.createElement(_TwitterFollowButton2.default, { username: "ReduxForm", showUsername: true, large: true })
        ),
        _react2.default.createElement(
          "div",
          null,
          _react2.default.createElement(
            "a",
            { href: "https://www.netlify.com", target: "_blank" },
            _react2.default.createElement("img", { src: "https://www.netlify.com/img/global/badges/netlify-color-bg.svg" })
          )
        )
      )
    )
  );
};

exports.default = App;