'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _marked = require('marked');

var _marked2 = _interopRequireDefault(_marked);

var _Breadcrumbs = require('./Breadcrumbs.scss');

var _Breadcrumbs2 = _interopRequireDefault(_Breadcrumbs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var formatTitle = function formatTitle(title) {
  return (/<p>(.+)<\/p>/.exec((0, _marked2.default)(title))[1]
  );
};

var Breadcrumbs = function Breadcrumbs(_ref) {
  var items = _ref.items;

  if (!items || !items.length) {
    return false;
  }
  return _react2.default.createElement(
    'ol',
    { className: _Breadcrumbs2.default.breadcrumbs },
    items.map(function (_ref2, index) {
      var path = _ref2.path,
          title = _ref2.title;
      return index === items.length - 1 ? _react2.default.createElement('li', { key: index, dangerouslySetInnerHTML: { __html: formatTitle(title) } }) : _react2.default.createElement(
        'li',
        { key: index },
        _react2.default.createElement('a', { href: path, dangerouslySetInnerHTML: { __html: formatTitle(title) } })
      );
    })
  );
};

exports.default = Breadcrumbs;