'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _marked = require('marked');

var _marked2 = _interopRequireDefault(_marked);

var _prism = require('../vendor/prism');

var _prism2 = _interopRequireDefault(_prism);

var _Markdown = require('./Markdown.scss');

var _Markdown2 = _interopRequireDefault(_Markdown);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var prettify = function prettify(markdown) {
  return markdown.replace(/```(?:javascript|jsx?)([\s\S]+?)```/g, function (match, code) {
    return '<pre class="language-jsx"><code class="language-jsx">' + _prism2.default.highlight(code, _prism2.default.languages.jsx) + '</code></pre>';
  });
};

var renderer = new _marked2.default.Renderer();
renderer.heading = function (text, level) {
  var id = text.toLowerCase().replace(/[^\w]+/g, '-');
  return '<h' + level + ' class="' + _Markdown2.default.heading + '" id="' + id + '">' + text + ' <a href="#' + id + '" class="' + _Markdown2.default.anchor + '">#</a></h' + level + '>';
};

var Markdown = function Markdown(_ref) {
  var content = _ref.content;

  return _react2.default.createElement('div', { dangerouslySetInnerHTML: { __html: (0, _marked2.default)(prettify(content), { renderer: renderer }) } });
};

exports.default = Markdown;