"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _App = require("./components/App");

var _App2 = _interopRequireDefault(_App);

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _server = require("react-dom/server");

var _server2 = _interopRequireDefault(_server);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var render = function render(_ref) {
  var component = _ref.component,
      title = _ref.title,
      path = _ref.path,
      version = _ref.version,
      breadcrumbs = _ref.breadcrumbs;
  return "<!DOCTYPE html>\n  <html lang=\"en\">\n  <head>\n    <meta charSet=\"utf-8\"/>\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no\"/>\n    <title>Redux Form" + (title && " - " + title) + "</title>\n    <link href=\"https://unpkg.com/redux-form-website-template/dist/bundle.css\"\n      media=\"screen, projection\" rel=\"stylesheet\" type=\"text/css\"/>\n    <link href=\"//cdnjs.cloudflare.com/ajax/libs/font-awesome/4.4.0/css/font-awesome.min.css\"\n          media=\"screen, projection\" rel=\"stylesheet\" type=\"text/css\"/>\n    <meta itemprop=\"name\" content=\"Redux Form\"/>\n    <meta property=\"og:type\" content=\"website\"/>\n    <meta property=\"og:title\" content=\"Redux Form\"/>\n    <meta property=\"og:site_name\" content=\"Redux Form\"/>\n    <meta property=\"og:description\" content=\"The best way to manage your form state in Redux.\"/>\n    <meta property=\"og:image\" content=\"logo.png\"/>\n    <meta property=\"twitter:site\" content=\"@erikras\"/>\n    <meta property=\"twitter:creator\" content=\"@erikras\"/>\n    <style type=\"text/css\">\n      body {\n        margin: 0;\n      }\n    </style>\n    <script type=\"text/javascript\">var abp;</script>\n  </head>\n  <body>\n  <div id=\"content\">\n    " + _server2.default.renderToStaticMarkup(_react2.default.createElement(
    _App2.default,
    { version: version, path: path, breadcrumbs: breadcrumbs },
    component
  )) + "\n  </div>\n  <script src=\"https://unpkg.com/react@15.6.1/dist/react.min.js\" integrity=\"sha384-u/3By6KAUETM5AnedAbB9xV0qLxlsRyVBi8mEekTeqD468SBVx2FXEm+1lf85M7c\" crossorigin=\"anonymous\"></script>\n  <script src=\"https://unpkg.com/react-dom@15.6.1/dist/react-dom.min.js\" integrity=\"sha384-GfT+iyYg21YqdPMH/FWlWLugDiK/neASGRCN8yWPB2Hlam+uP7J0lIgPcbCeHoVG\" crossorigin=\"anonymous\"></script>\n  <script src=\"https://unpkg.com/redux-form-doc-version-checker/dist/doc-check.umd.min.js\"></script>\n  <script src=\"https://unpkg.com/redux-form-website-template/dist/bundle.js\"></script>\n  <script>\n    (function(){\n      if(typeof _bsa !== 'undefined' && _bsa) {\n        _bsa.init('default', 'CKYDV5QM', 'placement:reduxformcom', {\n          target: '.bsa-cpc',\n          align: 'horizontal',\n          disable_css: 'true'\n        })\n      }\n    })()\n  </script>\n  <script>initReact(" + JSON.stringify({ version: version, path: path, breadcrumbs: breadcrumbs }) + ")</script>\n  <script>\n    (function(i,s,o,g,r,a,m){i[ 'GoogleAnalyticsObject' ] = r;i[r]=i[r]||function(){\n    (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),\n    m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)\n  })(window,document,'script','//www.google-analytics.com/analytics.js','ga');\n    ga('create', 'UA-69298417-1', 'auto');\n    ga('send', 'pageview');\n  </script>\n  <script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document, 'script', 'twitter-wjs');</script>\n  <script async src=\"https://media.ethicalads.io/media/client/ethicalads.min.js\"></script>\n  <script src=\"//m.servedby-buysellads.com/monetization.js\" type=\"text/javascript\"></script>\n  <script>\n    (function(){\n      if(typeof _bsa !== 'undefined' && _bsa) {\n        _bsa.init('stickybox', 'CKYDV5QM', 'placement:redux-formcom');\n      }\n    })();\n  </script>\n  </body>\n  </html>";
};

exports.default = render;